// priority: 0

console.info('Registrando itens customizados…')

//cria o item VEGAPUNK CHIP
onEvent('item.registry', event => {
  event.create('vegapunk_chip')
    .displayName('Vegapunk Chip')
    .tooltip('Chip experimental criado pelo Dr.Vegapunk')
    .maxStackSize(8)
    .rarity('rare')
    .fireResistant()
    .group('materials')
})
  
//CRIA O ITEM INCOMPLETE VEGAPUNK CHIP
onEvent('item.registry', event => {
  event.create('incomplete_vegapunk')
    .displayName('Incomplete Vegapunk Chip')
    .tooltip('Protótipo de um chip experimental criado pelo Dr.Vegapunk')
    .maxStackSize(8)
    .fireResistant()
    .rarity('rare')
    .group('materials')
})

//CRIA O ITEM AGLOMERADO TECNOLOGICO
onEvent('item.registry', event =>{
  event.create('coisa_punk')
    .displayName('Aglomerado tecnológico')
    .tooltip('Um aglomerado de várias tecnologias experimentais... Será que serve para algo?')
    .maxStackSize(8)
    .fireResistant()
    .rarity('rare')
    .group('materials')
})

	



//CRIA UM NOVO BLOCO
/*onEvent('block.registry', event => {
  event.create('example_block')
    .material('wood')
    .hardness(1.0)
    .displayName('Example Block')
    .group('building_blocks')
})*/